package com.zzsn.generation.test;

import java.util.Iterator;
import java.util.List;

/**
 * 自定义工具类
 * 创建人：李东亮   
 * 创建时间：2015-7-16 上午11:02:42   
 * 公司 ：郑州数能软件科技有限公司
 * @version  1.0  
 *
 */
public class MyUtility {

	

	/**
	 * 连接array
	 * 创建人:  李东亮  
	 * 创建时间:  2015-7-15 下午4:10:31 
	 * @version 1.0
	 * @param array
	 * @return
	 */
	public static String connectArray(String[] array){
		if (null==array) {
			return "";
		}
		StringBuffer sb = new StringBuffer();
		for (String item : array) {
		    if(item==null){
		        continue;
		    }
		    item = item.trim();
		    if(item.length()==0){
		        continue;
		    }
			 sb.append(item);
			 sb.append("\n");
		}
		return sb.toString();
	}
	
    /**
     * 连接list
     * 创建人:  李东亮  
     * 创建时间:  2015-7-16 上午11:12:57 
     * @version 1.0
     * @param list
     * @return
     */
	public static String connectList(List<String> list){
		StringBuffer sb = new StringBuffer();
		int i=0;
		int count=0;
		if (null!=list) {
			count = list.size();
		} else {
			return null;
		}
		
		for (Iterator<String> iterator = list.iterator(); iterator.hasNext();) {
			i++;
			sb.append(iterator.next());
			if (i!=count) {
				sb.append("\n");
			}
		}
		String result = sb.toString();
//		if(result.length()>0){
//			result = "\n"+result;
//		}
		return result;
	}
}
